Texa DeskDevelopers

Texa Desk Application API · Inboxes

List all inboxes

GET/api/v1/accounts/{account_id}/inboxes

List all inboxes available in the current account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Responses

200

Success

payloadarray of object

Array of inboxes

payload[].idnumber

ID of the inbox

payload[].namestring

The name of the inbox

payload[].website_urlstring

Website URL

payload[].page_idstring

Facebook Page ID associated with the inbox

payload[].instagram_idstring

Instagram account ID associated with the inbox

payload[].business_idstring

TikTok business ID associated with the inbox

payload[].provider_namestring

Provider username or page name associated with the social inbox

payload[].profile_idstring

X profile ID associated with the inbox

payload[].line_channel_idstring

LINE channel ID associated with the inbox

payload[].emailstring

Email address associated with the inbox

payload[].bot_namestring

Telegram bot name associated with the inbox

payload[].inbox_identifierstring

Public identifier associated with an API inbox

payload[].channel_typestring

The type of the inbox

payload[].avatar_urlstring

The avatar image of the inbox

payload[].widget_colorstring

Widget Color used for customization of the widget

payload[].website_tokenstring

Website Token

payload[].enable_auto_assignmentboolean

The flag which shows whether Auto Assignment is enabled or not

payload[].web_widget_scriptstring

Script used to load the website widget

payload[].welcome_titlestring

Welcome title to be displayed on the widget

payload[].welcome_taglinestring

Welcome tagline to be displayed on the widget

payload[].greeting_enabledboolean

The flag which shows whether greeting is enabled

payload[].greeting_messagestring

A greeting message when the user starts the conversation

payload[].channel_idnumber

ID of the channel this inbox belongs to

payload[].working_hours_enabledboolean

The flag which shows whether working hours feature is enabled

payload[].enable_email_collectboolean

The flag to enable collecting email from contacts

payload[].csat_survey_enabledboolean

The flag to enable CSAT survey

payload[].auto_assignment_configobject

Configuration settings for auto assignment

payload[].out_of_office_messagestring

Message to show when agents are out of office

payload[].working_hoursarray of object

Configuration for working hours of the inbox

payload[].working_hours[].day_of_weeknumber

Day of the week (0-6, where 0 is Sunday)

payload[].working_hours[].closed_all_dayboolean

Whether the inbox is closed for the entire day

payload[].working_hours[].open_hournumber

Hour when inbox opens (0-23)

payload[].working_hours[].open_minutesnumber

Minutes of the hour when inbox opens (0-59)

payload[].working_hours[].close_hournumber

Hour when inbox closes (0-23)

payload[].working_hours[].close_minutesnumber

Minutes of the hour when inbox closes (0-59)

payload[].working_hours[].open_all_dayboolean

Whether the inbox is open for the entire day

payload[].timezonestring

Timezone configuration for the inbox

payload[].callback_webhook_urlstring

Webhook URL for callbacks

payload[].allow_messages_after_resolvedboolean

Whether to allow messages after a conversation is resolved

payload[].lock_to_single_conversationboolean

Whether to lock a contact to a single conversation

payload[].sender_name_typestring

Type of sender name to display (e.g., friendly)

payload[].business_namestring

Business name associated with the inbox

payload[].branded_email_layoutstring

Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.

payload[].hmac_mandatoryboolean

Whether HMAC verification is mandatory

payload[].selected_feature_flagsarray of string

Selected feature flags for the inbox

payload[].reply_timestring

Expected reply time

payload[].messaging_service_sidstring

Messaging service SID for SMS providers

payload[].phone_numberstring

Phone number associated with the inbox

payload[].mediumstring

Medium of communication (e.g., sms, email)

payload[].providerstring

Provider of the channel

404

Inbox not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring